Page MenuHomePhabricator

Turn off EducationProgram on cs.wikipedia
Closed, DeclinedPublic

Description

The Czech Wikipedia decided to fully switch to the outreach dashboard so we kindly ask to turn off EP on cs.wikipedia.

Thanks,
Martin Urbanec
Czech Wikipedia bureaucrat

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRevert "Disable EducationProgram on cs.wikipedia"
operations/mediawiki-config : masterDisable EducationProgram on cs.wikipedia

Event Timeline

Urbanecm created this task.Nov 14 2017, 7:18 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptNov 14 2017, 7:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm triaged this task as Normal priority.Nov 14 2017, 7:18 AM

Change 391163 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Disable EducationProgram on cs.wikipedia

https://gerrit.wikimedia.org/r/391163

If possible and unless there's a need to keep them, please remove from all users all ep-related user rights.

Change 391163 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable EducationProgram on cs.wikipedia

https://gerrit.wikimedia.org/r/391163

demon closed this task as Resolved.Nov 23 2017, 1:36 AM

I'd like to file a complaint. There was NO community consensus whatsoever.

Please UNDO this action.

Vojtech.dostal reopened this task as Open.Nov 23 2017, 3:01 PM

I am not involved in this work. AFAICT this is not about shutting down activities, only moving them to a different system. @Urbanecm , maybe you could link to the discussion where consensus was achieved toward such a transition.

@Elitre There is no public discussion like that.

What can we do about rogue decisions like this, please?

This needs to be discussed at the community level: I have informed the Education team as they're certainly better positioned here.

Please don't take any action until there is a proper discussion with the community on the project. Please link to any such conversations as evidence before taking any major actions that could be potentially disruptive.

In general, the Education Extension will need to be phased out in the short term and replaced with the Programs and Events Dashboard -- that's true -- but we don't want to disrupt any ongoing work and catch anyone by surprise. Please conduct a proper community conversation on wiki and let me know how if I or the education team can help in any way.

Thanks for the ping @Elitre

Vojtech.dostal added a comment.EditedNov 27 2017, 2:36 PM

Thanks @TFlanagan-WMF . In the meantime please roll back this change.

Not sure who is the responsible person here (Who did the change and is able to undo it). @Zoranzoki21 ?

There was NOTIFICATION (from @Vojtech.dostal) about switching from EP interface to outreach dashboard (https://cs.wikipedia.org/wiki/Wikipedie:Pod_l%C3%ADpou/Archiv_2017/02#N.C3.A1vrh_.E2.80.93_spu.C5.A1t.C4.9Bn.C3.AD_automatick.C3.BDch_editac.C3.AD_na_u.C5.BEivatelsk.C3.BDch_str.C3.A1nk.C3.A1ch_student.C5.AF_atp) together with DISCUSSION about turning on some template feature of the dashboad (I'm not familiar with it so I cannot tell the exact name).

I was asked for removing of ep-related groups from all users so only sysops were able to manipulate with courses for some time (since 30th of August 2017).

That all happened without exact community consensus. There was only internal discussion in WMCZ /some parts of it were shared at socials networks/.

Everybody who wanted to create a "course page" was instructed to do that on the Outreach Dashboard by WMCZ's education manager.

Almost every analytics using the data from EP was done using database replicas/queries (which is still possible as nothing was deleted from database actually).

There was (and still isn't) any need for EP because a) nobody can edit it (all EP groups were removed from all users) b) everybody was instructed to use the Dashboard instead.

I thinked it'll be good to disable it (and created this ticket). I informed WMCZ about that thing and I was told it shouldn't be closed. This is my fault, tickets should be filled as the last thing (or closed as invalid when they became invalid).

AFAIK EP extension is vurneable and should not be used (which is the reason why the Foundation decided to create the Dashoard). That's very good reason why it should be turned off ASAP IMHO.

Last thing for now: I talked about disappearing of EP with @Vojtech.dostal before he filed his complaint. He told me that he want to turn on EP because of principle.

I really do not thing that turning on of useless (and perhaps vurneable) extension should be accepted.

The best,
Martin Urbanec

Elitre removed a subscriber: Elitre.Nov 28 2017, 11:35 AM

I'd like to reiterate my request to revert this decision.

Extensions should NOT be switched off without community consensus.

Jan.Kamenicek added a subscriber: Jan.Kamenicek.EditedJan 12 2018, 5:19 PM

I would like to support the request to revert the decision, which should not have been made without community consensus.

Blahma added a subscriber: Blahma.Jan 15 2018, 1:07 PM

Prior to definitive farewell to the EP extension, all data created within its framework must be archived somewhere, probably as static wiki pages. An enormous amount of work has been invested by volunteers into curating courses and workshops through the extension, enrolling students, listing articles etc. All that is now gone, at least off the eyes of the public and the common Wikipedian (fortunately, it is still preserved in the database AFAIK). Not archiving this information in a place and form accessible to the community (and the public) would be disrespectful towards all those volunteers and harmful for future reports and analyses on the history of the Education Program in the Czech Republic.

Would @Zoranzoki21 be willing to comment please? I find this case very disturbing.

Switching off any extension must be:

  1. Discussed with the community
  2. Systematic, not just randomly dispatched to one language version
  3. Announced in advance

Change 404312 had a related patch set uploaded (by Aklapper; owner: Aklapper):
[operations/mediawiki-config@master] Revert "Disable EducationProgram on cs.wikipedia"

https://gerrit.wikimedia.org/r/404312

I no know nothing what happened, so I will not write nothing about this, and I will unsubscribe from this task. Thank you for understanding.

Change 404312 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Disable EducationProgram on cs.wikipedia"

https://gerrit.wikimedia.org/r/404312

demon added a subscriber: demon.EditedJan 15 2018, 11:40 PM

Turned it back on (thanks for the patch Andre). My fault for deploying the patch without doing enough due diligence to see if it had been submitted with community consensus and such all being taken care of.

But a word of caution: people should not submit aspirational patches for things that will one day happen but as of yet have no timeline or consensus--we've got far too many should-not-deploy patches in mw-config as it is....

Aklapper closed this task as Declined.Jan 16 2018, 12:04 AM

I'd also like to apologize for the hassle and misunderstanding here and hope that everybody assumes good faith.
For the time being, I'm going to decline this task.